'use strict';

var concat = Array.prototype.concat;
var slice = Array.prototype.slice;

module.exports = function swizzle(args) {
	var results = [];

	for (var i = 0, len = args.length; i < len; i++) {
		var arg = args[i];

		// https://jsperf.com/hasownproperty-vs-in-vs-undefined/12
		if (typeof arg.length !== 'undefined') {
			// http://jsperf.com/javascript-array-concat-vs-push/98
			results = concat.call(results, slice.call(arg));
		} else {
			results.push(arg);
		}
	}

	return results;
};
